Package net.rubygrapefruit.platform.internal.jni

# Class TerminfoFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.TerminfoFunctions

public class TerminfoFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`TerminfoFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`bold(FunctionResult result)`
`static void`
`clearToEndOfLine(FunctionResult result)`
`static void`
`down(int count, FunctionResult result)`
`static void`
`foreground(int ansiColor, FunctionResult result)`
`static int`
`getVersion()`
`static void`
`initTerminal(int filedes, TerminalCapabilities terminalCapabilities, FunctionResult result)`
Sets up terminal info and switches output to normal mode.
`static void`
`left(int count, FunctionResult result)`
`static void`
`reset(FunctionResult result)`
`static void`
`right(int count, FunctionResult result)`
`static void`
`startLine(FunctionResult result)`
`static void`
`up(int count, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TerminfoFunctions

public TerminfoFunctions()

## Method Details

### getVersion

public static int getVersion()

### initTerminal

public static void initTerminal(int filedes, TerminalCapabilities terminalCapabilities, FunctionResult result)
Sets up terminal info and switches output to normal mode.

### bold

public static void bold(FunctionResult result)

### reset

public static void reset(FunctionResult result)

### foreground

public static void foreground(int ansiColor, FunctionResult result)

### left

public static void left(int count, FunctionResult result)

### right

public static void right(int count, FunctionResult result)

### up

public static void up(int count, FunctionResult result)

### down

public static void down(int count, FunctionResult result)

### startLine

public static void startLine(FunctionResult result)

### clearToEndOfLine

public static void clearToEndOfLine(FunctionResult result)